{% extends "base.html" %}
{% block title %}Evaluacion{% endblock %}
{% block body %}
    {{ super() }}


    <div class="form-group boxed table-responsive" id="box_filtro">  
            <label class="my-1 mr-2"><b>Mis TFGs</b></label>
            <table id="tableListadoTFG" class="table table-hover">
                <thead>
                  <tr>
                    <th scope="col">Código</th>
                    <th scope="col">Título</th>
                    <th scope="col">Estado</th>
                  </tr>
                </thead>
                <tbody>
                    {% for tfg in tfgs %}
                    {% if tfg.estado == 0 %}
                    <tr style="background-color:rgb(218, 247, 166)">
                    {% elif tfg.estado == 1 %}
                    <tr style="background-color:rgb(154, 254, 189)">
                    {% elif tfg.estado == 2 %}
                    <tr style="background-color:rgb(254, 192, 154)">
                    {% elif tfg.estado == 3 %}
                    <tr style="background-color:rgb(254, 154, 154)">
                    {% elif tfg.estado == 4 %}
                    <tr style="background-color:rgb(186, 154, 254)">
                    {% elif tfg.estado == 5 %}
                    <tr style="background-color:rgb(154, 210, 254)">
                    {% elif tfg.estado == 6 %}
                    <tr style="background-color:rgb(154, 254, 236)">
                    {% else %}
                    <tr style="background-color:rgb(165, 254, 154)">
                    {% endif %}
                      
                    <th scope="row">{{ tfg.codigo }}</th>
                    <td><a href="evaluarTFG?tfg_codigo={{ tfg.codigo }}">{{ tfg.titulo }}</a></td>
                    <td>{{ tfg.estadoString }}</td>
                    </tr>
                    {% else %}
                        <li><em>No existen TFGs definidos</em></li>
                    {% endfor %}    
                </tbody>
              </table>                                  
                <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
        </div>      
    
    

{% endblock %}